lwIP 2.1.2 Lightweight IP stack

Macros
DHCPv6
lwIP » Options (lwipopts.h) » IPv6

## Macros
#define | LWIP_IPV6_DHCP6 0
#define | LWIP_IPV6_DHCP6_STATEFUL 0
#define | LWIP_IPV6_DHCP6_STATELESS LWIP_IPV6_DHCP6
#define | LWIP_DHCP6_GET_NTP_SRV 0
#define | LWIP_DHCP6_MAX_NTP_SERVERS 1
#define | LWIP_DHCP6_MAX_DNS_SERVERS DNS_MAX_SERVERS

## Detailed Description

## Macro Definition Documentation

## ◆ LWIP_DHCP6_GET_NTP_SRV

#define LWIP_DHCP6_GET_NTP_SRV 0

LWIP_DHCP6_GETS_NTP==1: Request NTP servers via DHCPv6. For each response packet, a callback is called, which has to be provided by the port: void dhcp6_set_ntp_servers(u8_t num_ntp_servers, ip_addr_t* ntp_server_addrs);

## ◆ LWIP_DHCP6_MAX_DNS_SERVERS

#define LWIP_DHCP6_MAX_DNS_SERVERS DNS_MAX_SERVERS

LWIP_DHCP6_MAX_DNS_SERVERS > 0: Request DNS servers via DHCPv6. DNS servers received in the response are passed to DNS via dns_setserver() (up to the maximum limit defined here).

## ◆ LWIP_DHCP6_MAX_NTP_SERVERS

#define LWIP_DHCP6_MAX_NTP_SERVERS 1

The maximum of NTP servers requested

## ◆ LWIP_IPV6_DHCP6

#define LWIP_IPV6_DHCP6 0

LWIP_IPV6_DHCP6==1: enable DHCPv6 stateful/stateless address autoconfiguration.

## ◆ LWIP_IPV6_DHCP6_STATEFUL

#define LWIP_IPV6_DHCP6_STATEFUL 0

LWIP_IPV6_DHCP6_STATEFUL==1: enable DHCPv6 stateful address autoconfiguration. (not supported, yet!)

## ◆ LWIP_IPV6_DHCP6_STATELESS

#define LWIP_IPV6_DHCP6_STATELESS LWIP_IPV6_DHCP6

LWIP_IPV6_DHCP6_STATELESS==1: enable DHCPv6 stateless address autoconfiguration.